## ng 1.4.4p1

=== sys/amiga/Makefile ===
# $Id: Makefile,v 1.2 2000/10/02 13:59:28 amura Exp $
# Makefile for MicroEMACS. using Aztec small model
#
# $Log: Makefile,v $
# Revision 1.2  2000/10/02 13:59:28  amura
# edit for new ttymenu.c
#
# Revision 1.1.1.1  2000/06/27 01:48:01  amura
# import to CVS
#
# Modified for Ng 1.3 AmigaDOS version by H.Ohkubo Dec.20,1992

SYS = amiga
S = sys/amiga

# If defined USE_ARP, set LIBS -la -lc.
#LIBS = -lc
LIBS = -la -lc
#LIBS = +l rexxglue.o rexxvars.o +l -lc

# Aztec C 5.0 has no alloca().
ALLOCA = alloca.o

# Now, compile-time options (PREFS) are defined in config.h.
# XOBJ is used to denote any extra object files needed for these
# options.  MENUOBJ and MOUSEOBJ denote the extra object files
# needed for the menu, mouse and Browser.

MOUSEOBJ = ttymouse.o
MENUOBJ  = ttymenu.o
OFFSETOBJ = offset.o
ICONIFYOBJ = iconify.o ttyicon.o
#REXXOBJ = rexx.o
REXXOBJ =
CLIPOBJ = clipboard.o

#PREFS =
XOBJ  = $(MOUSEOBJ) $(MENUOBJ) $(ICONIFYOBJ) $(OFFSETOBJ) $(CLIPOBJ) $(REXXOBJ)

CFLAGS = -I$(S) -Isys/default -DAMIGA -DMANX -wos -su

# Objects which only depend on the "standard" includes
OBJS	= basic.o dir.o dired.o shell.o version.o window.o \
	  kinsoku.o jump.o

# Those with unique requirements
IND	= buffer.o complt.o display.o cmode.o echo.o extend.o file.o \
	  help.o kbd.o keymap.o line.o macro.o main.o match.o modes.o \
	  paragraph.o random.o region.o regex.o re_search.o search.o \
	  skg.o kanji.o undo.o word.o

# System dependent objects
OOBJS = cinfo.o spawn.o ttyio.o tty.o ttykbd.o fileio.o sleep.o \
 sysinit.o console.o dirio.o

OBJ = $(OBJS) $(IND) $(OOBJS) $(XOBJ) $(ALLOCA) zz_pointer.o

OSRCS = cinfo.c fileio.c spawn.c ttyio.c tty.c ttykbd.c fileio.c sleep.c \
   sysinit.c malloc.c console.c dirio.c
SRCS = basic.c dir.c dired.c file.c line.c match.c paragraph.c \
   random.c region.c search.c version.c window.c word.c \
   buffer.c display.c echo.c extend.c help.c kbd.c keymap.c \
   macro.c main.c modes.c regex.c re_search.c \
   cmode.c shell.c kinsoku.c complt.c kanji.c skg.c jump.c undo.c

OINCS = $(S)/ttydef.h $(S)/sysdef.h sys/default/chrdef.h
INCS = def.h config.h
REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c

#PROG = mg
PROG = ng

#
# The editor
# Building in Ram: saves a LOT of time in pass 2 of the linker.
#
$(PROG):		$(OBJ)
		ln -o ram:$(PROG) -w $(OBJ) $(LIBS)
		copy ram:$(PROG) $(PROG)
		delete ram:$(PROG)

$(OBJ):		$(INCS) $(OINCS)

buffer.o: 	$(INCS) $(OINCS) kbd.h undo.h

cmode.o file.o line.o paragraph.o random.o region.o undo.o word.o: \
		$(INCS) $(OINCS) undo.h

complt.o:	$(INCS) $(OINCS) kbd.h complt.h

display.o modes.o: \
		$(INCS) $(OINCS) kbd.h

echo.o:		$(INCS) $(OINCS) key.h macro.h complt.h

extend.o help.o: \
		$(INCS) $(OINCS) kbd.h macro.h key.h

kanji.o:	$(INCS) $(OINCS) kinit.h

kbd.o:		$(INCS) $(OINCS) kbd.h macro.h key.h undo.h

macro.o: 	$(INCS) $(OINCS) macro.h key.h

main.o search.o: \
		$(INCS) $(OINCS) macro.h

match.o:	$(INCS) $(OINCS) key.h

re_search.o:	$(INCS) $(OINCS) $(REINCS) macro.h

regex.o:	$(INCS) $(OINCS) $(REINCS)

skg.o: 		$(INCS) $(OINCS) macro.h key.h undo.h

$(OOBJS):	$(INCS) $(OINCS)

clean:
	Delete $(OBJ)


keymap.o:	keymap.c $(S)/amiga_maps.c kbd.h
		cc $(CFLAGS) keymap.c

fileio.o:	$(S)/fileio.c $(S)/zz_pointer.h kbd.h
		cc $(CFLAGS) -o fileio.o $(S)/fileio.c

spawn.o:	$(S)/spawn.c
		cc $(CFLAGS) -o spawn.o $(S)/spawn.c

sleep.o:	$(S)/sleep.c
		cc $(CFLAGS) -o sleep.o $(S)/sleep.c

sysinit.o:	$(S)/sysinit.c $(S)/zz_pointer.h
		cc $(CFLAGS) -o sysinit.o $(S)/sysinit.c

#malloc.o:	$(S)/malloc.c
#		cc $(CFLAGS) -o malloc.o $(S)/malloc.c

offset.o:	$(S)/offset.c
		cc $(CFLAGS) -o offset.o $(S)/offset.c

iconify.o:	$(S)/iconify/iconify.c $(S)/iconify.h
		cc $(CFLAGS) -o iconify.o $(S)/iconify/iconify.c

tty.o:		$(S)/tty.c
		cc $(CFLAGS) -o tty.o $(S)/tty.c

ttyicon.o:	$(S)/ttyicon.c $(S)/iconify.h
		cc $(CFLAGS) -I$(S)/iconify -o ttyicon.o $(S)/ttyicon.c

ttyio.o:	$(S)/ttyio.c
		cc $(CFLAGS) -o ttyio.o $(S)/ttyio.c

ttykbd.o:	$(S)/ttykbd.c kbd.h
		cc $(CFLAGS) -o ttykbd.o $(S)/ttykbd.c

ttymenu.o:	$(S)/ttymenu.c macro.h $(S)/KgMenus.h $(S)/KgMenus.c $(S)/menumap.h
		cc $(CFLAGS) -o ttymenu.o $(S)/ttymenu.c

ttymouse.o:	$(S)/ttymouse.c macro.h
		cc $(CFLAGS) -o ttymouse.o $(S)/ttymouse.c

#menustack.o:	$(S)/menustack.c
#		cc $(CFLAGS) -o menustack.o $(S)/menustack.c

console.o:	$(S)/console.c
		cc $(CFLAGS) -o console.o $(S)/console.c

dirio.o:	$(S)/dirio.c
		cc $(CFLAGS) -o dirio.o $(S)/dirio.c

#alloca.o:	$(S)/alloca.asm
#		as -o alloca.o $(S)/alloca.asm
alloca.o:	sys/default/alloca.c
		cc $(CFLAGS) -o $@ sys/default/$*.c

cinfo.o:	sys/default/cinfo.c
		cc $(CFLAGS) -o cinfo.o sys/default/cinfo.c

#rexx.o:		$(S)/rexx.c
#		cc $(CFLAGS) -o rexx.o $(S)/rexx.c

zz_pointer.o:	$(S)/zz_pointer.c $(S)/zz_pointer.h
		cc $(CFLAGS) -o zz_pointer.o $(S)/zz_pointer.c

clipboard.o: $(S)/clipboard.c
		cc $(CFLAGS) -o clipboard.o $(S)/clipboard.c

## ng 1.5~beta1

=== sys/amiga/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
-# $Id: Makefile,v 1.2 2000/10/02 13:59:28 amura Exp $
+# $Id: Makefile,v 1.3 2001/03/02 08:48:30 amura Exp $
 # Makefile for MicroEMACS. using Aztec small model
 #
 # $Log: Makefile,v $
+# Revision 1.3  2001/03/02 08:48:30  amura
+# now AUTOSAVE feature implemented almost all (except for WIN32
+#
 # Revision 1.2  2000/10/02 13:59:28  amura
 # edit for new ttymenu.c
 #
@@ -41,7 +44,7 @@
 
 # Objects which only depend on the "standard" includes
 OBJS	= basic.o dir.o dired.o shell.o version.o window.o \
-	  kinsoku.o jump.o
+	  kinsoku.o jump.o autosave.o
 
 # Those with unique requirements
 IND	= buffer.o complt.o display.o cmode.o echo.o extend.o file.o \
@@ -61,7 +64,7 @@
    random.c region.c search.c version.c window.c word.c \
    buffer.c display.c echo.c extend.c help.c kbd.c keymap.c \
    macro.c main.c modes.c regex.c re_search.c \
-   cmode.c shell.c kinsoku.c complt.c kanji.c skg.c jump.c undo.c
+   cmode.c shell.c kinsoku.c complt.c kanji.c skg.c jump.c undo.c autosave.c
 
 OINCS = $(S)/ttydef.h $(S)/sysdef.h sys/default/chrdef.h
 INCS = def.h config.h

=== sys/bsd/Makefile ===
# $Id: Makefile,v 1.2.4.1 2003/02/23 14:17:14 amura Exp $
# Makefile for Mg 2a
#
# $Log: Makefile,v $
# Revision 1.2.4.1  2003/02/23 14:17:14  amura
# move canna.c from sys/default to sys/unix
#
# Revision 1.2  2000/09/30 15:59:42  amura
# add Canna configuration form config.h
#
# Revision 1.1.1.1  2000/06/27 01:48:02  amura
# import to CVS
#
# Modified for Ng 1.0	by Shigeki Yoshida (shige@csk.CO.JP)	1990.01.29

SYS	= bsd

# Canna configurations (ex. for NetBSD)
#CANNADEF = -DCANNA
#CANNALIB = -L/usr/pkg/lib -lcanna
#CANNAINC = -I/usr/pkg/include
CANNADEF =
CANNALIB =
CANNAINC =

# CDEFS gets defines, and gets passed to lint. CFLAGS gets flags, and doesn't
# get passed to lint.
#
# Now, compile time options are defined in a "config.h".
#
CDEFS	= $(CANNADEF)
CFLAGS	= -O2 $(CDEFS) $(CANNAINC)
LIBS	= $(CANNALIB) -ltermcap

# If your machine don't have an alloca(), please define ALLOCA.
#ALLOCA	= alloca.o
ALLOCA	=

CC	= cc

# Objects which only depend on the "standard" includes
OBJS	= basic.o dir.o dired.o shell.o version.o window.o \
	  kinsoku.o jump.o

# Those with unique requirements
IND	= buffer.o complt.o display.o cmode.o echo.o extend.o file.o \
	  help.o kbd.o keymap.o line.o macro.o main.o match.o modes.o \
	  paragraph.o random.o region.o regex.o re_search.o search.o \
	  skg.o kanji.o undo.o word.o

# System dependent objects
OOBJS = cinfo.o spawn.o ttyio.o tty.o ttykbd.o

OBJ = $(OBJS) $(IND) $(OOBJS) fileio.o canna.o $(ALLOCA)

OSRCS	= cinfo.c fileio.c spawn.c ttyio.c tty.c ttykbd.c canna.c alloca.c
SRCS	= basic.c cmode.c dir.c dired.c file.c line.c match.c paragraph.c \
	  random.c region.c search.c shell.c version.c window.c word.c \
	  buffer.c complt.c display.c echo.c extend.c help.c kbd.c \
	  keymap.c macro.c main.c modes.c regex.c re_search.c kanji.c \
	  kinsoku.c skg.c jump.c undo.c

OINCS =	ttydef.h sysdef.h chrdef.h
INCS =	config.h def.h
REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c

#PROG = mg
PROG = ng

$(PROG):	$(OBJ)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

# strip mg once you're satisfied it'll run -- makes it much smaller
strip:
	strip $(PROG)

lint: $(SRCS) $(OSRCS) $(INCS) $(OINCS)
	lint -ahbz $(CDEFS) $(SRCS) $(OSRCS)

$(OBJ):		$(INCS) $(OINCS)

$(OOBJS):	$(INCS) $(OINCS)

buffer.o: 	$(INCS) $(OINCS) kbd.h undo.h

cmode.o file.o line.o paragraph.o random.o region.o undo.o word.o: \
		$(INCS) $(OINCS) undo.h

complt.o:	$(INCS) $(OINCS) kbd.h complt.h

display.o keymap.o modes.o fileio.o: \
		$(INCS) $(OINCS) kbd.h

echo.o:		$(INCS) $(OINCS) key.h macro.h complt.h

extend.o help.o: \
		$(INCS) $(OINCS) kbd.h macro.h key.h

kanji.o:	$(INCS) $(OINCS) kinit.h

kbd.o:		$(INCS) $(OINCS) kbd.h macro.h key.h undo.h

macro.o canna.o: \
		$(INCS) $(OINCS) macro.h key.h

main.o search.o: \
		$(INCS) $(OINCS) macro.h

match.o:	$(INCS) $(OINCS) key.h

re_search.o:	$(INCS) $(OINCS) $(REINCS) macro.h

regex.o:	$(INCS) $(OINCS) $(REINCS)

skg.o: 		$(INCS) $(OINCS) macro.h key.h undo.h

sysdef.h:	sys/$(SYS)/sysdef.h	# Update links, if needed.
	rm -f sysdef.h
	ln sys/$(SYS)/sysdef.h .

ttydef.h:	sys/default/ttydef.h
	rm -f ttydef.h
	ln sys/default/ttydef.h .

chrdef.h:	sys/default/chrdef.h
	rm -f chrdef.h
	ln sys/default/chrdef.h .

fileio.c:	sys/$(SYS)/fileio.c
	rm -f fileio.c
	ln sys/$(SYS)/fileio.c .

spawn.c:	sys/$(SYS)/spawn.c
	rm -f spawn.c
	ln sys/$(SYS)/spawn.c .

tty.c:		sys/default/tty.c
	rm -f tty.c
	ln sys/default/tty.c .

ttyio.c:	sys/$(SYS)/ttyio.c
	rm -f ttyio.c
	ln sys/$(SYS)/ttyio.c .

ttykbd.c:	sys/default/ttykbd.c
	rm -f ttykbd.c
	ln sys/default/ttykbd.c .

cinfo.c:	sys/default/cinfo.c
	rm -f cinfo.c
	ln sys/default/cinfo.c .

canna.c:	sys/unix/canna.c
	rm -f canna.c
	ln sys/unix/canna.c .

alloca.c:	sys/default/alloca.c
	rm -f alloca.c
	ln sys/default/alloca.c .

port: $(SRCS) $(INCS)
	rm -f port
	tar cfb port 1 $?

clean:;	rm -f $(OBJ) $(OSRCS) $(OINCS) $(PROG)

=== sys/human68k/Makefile ===
# $Id: Makefile,v 1.2 2001/03/02 08:48:31 amura Exp $
# Makefile for Ng on Human68k (SHARP X68000)
#
# $Log: Makefile,v $
# Revision 1.2  2001/03/02 08:48:31  amura
# now AUTOSAVE feature implemented almost all (except for WIN32
#
# Revision 1.1.1.1  2000/06/27 01:47:58  amura
# import to CVS
#

SYS	= human68k
LIBS	= a:\xc\lib\doslib.l a:\xc\lib\iocslib.l a:\xc\lib\floatfnc.l \
	a:\gcc\lib\gnulib.l a:\xc\lib\clib.l
#LIBS	= a:\jshwild3\jshwild.l a:\xc\lib\doslib.l a:\xc\lib\iocslib.l \
#	a:\xc\lib\floatfnc.l a:\gcc\lib\gnulib.l a:\gmalloc\gmalloc.l \
#	a:\xc\lib\clib.l

# CDEFS gets defines, and gets passed to lint. CFLAGS gets flags, and doesn't
# get passed to lint.
#
# Now, compile time options are defined in a "config.h".
#
CDEFS	=  -DHUMAN68K
CFLAGS	=  -O -fcombine-regs -fomit-frame-pointer -fstrength-reduce $(CDEFS)

CC	= gcc
LK	= lk

# Objects which only depend on the "standard" includes
OBJS	= basic.o dir.o dired.o shell.o version.o window.o \
	  kinsoku.o jump.o autosave.o

# Those with unique requirements
IND	= buffer.o complt.o display.o cmode.o echo.o extend.o file.o \
	  help.o kbd.o keymap.o line.o macro.o main.o match.o modes.o \
	  paragraph.o random.o region.o regex.o re_search.o search.o \
	  skg.o kanji.o undo.o word.o

# System dependent objects
OOBJS = cinfo.o spawn.o ttyio.o tty.o ttykbd.o fileio.o

# Human68k additional objects
HOBJS	= sysinit.o dosutil.o h68kfncmp.o termcap.o fepctrl.o hentrap.o

OBJ	= $(OBJS) $(IND) $(OOBJS) $(HOBJS)

OSRCS	= cinfo.c fileio.c spawn.c ttyio.c tty.c ttykbd.c
HSRCS	= sysinit.c dosutil.c h68kfncmp.c termcap.c fepctrl.c hentrap.s
SRCS	= basic.c cmode.c dir.c dired.c file.c line.c match.c paragraph.c \
	  random.c region.c search.c shell.c version.c window.c word.c \
	  buffer.c complt.c display.c echo.c extend.c help.c kbd.c \
	  keymap.c macro.c main.c modes.c regex.c re_search.c kanji.c \
	  kinsoku.c skg.c jump.c undo.c autosave.c

OINCS =	ttydef.h sysdef.h chrdef.h
INCS =	config.h def.h
REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c

PROG = ng.x

$(PROG):	$(OBJ) indirect.lk
	@echo "indirect.lk"
	@type indirect.lk
	$(LK) /i indirect.lk

#lint: $(SRCS) $(OSRCS) $(INCS) $(OINCS)
#	lint -ahbz $(CDEFS) $(SRCS) $(OSRCS)

$(OBJS):	$(INCS) $(OINCS)

$(OOBJS):	$(INCS) $(OINCS)

%.o::%.c
	$(CC) $(CFLAGS) -c $<

%.o::%.s
	$(CC) $(CFLAGS) -c $<

buffer.o: 	$(INCS) $(OINCS) kbd.h undo.h

cmode.o file.o line.o paragraph.o random.o region.o undo.o word.o: \
		$(INCS) $(OINCS) undo.h

complt.o:	$(INCS) $(OINCS) kbd.h complt.h

display.o keymap.o modes.o fileio.o: \
		$(INCS) $(OINCS) kbd.h

echo.o:		$(INCS) $(OINCS) key.h macro.h varargs.h complt.h

extend.o help.o: \
		$(INCS) $(OINCS) kbd.h macro.h key.h

kanji.o:	$(INCS) $(OINCS) kinit.h

kbd.o:		$(INCS) $(OINCS) kbd.h macro.h key.h undo.h

macro.o: 	$(INCS) $(OINCS) macro.h key.h undo.h

main.o search.o: \
		$(INCS) $(OINCS) macro.h

match.o:	$(INCS) $(OINCS) key.h

re_search.o:	$(INCS) $(OINCS) $(REINCS) macro.h

regex.o:	$(INCS) $(OINCS) $(REINCS)

skg.o: 		$(INCS) $(OINCS) macro.h key.h undo.h

sysdef.h:	sys\$(SYS)\sysdef.h	# Update, if needed.
	copy sys\$(SYS)\sysdef.h

ttydef.h:	sys\default\ttydef.h
	copy sys\default\ttydef.h

chrdef.h:	sys\default\chrdef.h
	copy sys\default\chrdef.h

varargs.h:	sys\default\varargs.h
	copy sys\default\varargs.h

cinfo.c:	sys\default\cinfo.c
	copy sys\default\cinfo.c

spawn.c:	sys\$(SYS)\spawn.c
	copy sys\$(SYS)\spawn.c

ttyio.c:	sys\$(SYS)\ttyio.c
	copy sys\$(SYS)\ttyio.c

tty.c:		sys\default\tty.c
	copy sys\default\tty.c

ttykbd.c:	sys\default\ttykbd.c
	copy sys\default\ttykbd.c

fileio.c:	sys\$(SYS)\fileio.c
	copy sys\$(SYS)\fileio.c

sysinit.c:	sys\$(SYS)\sysinit.c
	copy sys\$(SYS)\sysinit.c

dosutil.c:	sys\$(SYS)\dosutil.c
	copy sys\$(SYS)\dosutil.c

h68kfncmp.c:	sys\$(SYS)\h68kfncmp.c
	copy sys\$(SYS)\h68kfncmp.c

termcap.c:	sys\default\termcap.c
	copy sys\default\termcap.c

fepctrl.h:	sys\$(SYS)\fepctrl.h
	copy sys\$(SYS)\fepctrl.h

fepctrl.c:	sys\$(SYS)\fepctrl.c
	copy sys\$(SYS)\fepctrl.c

fepctrl.o:	fepctrl.c fepctrl.h $(INCS)

hentrap.s:	sys\$(SYS)\hentrap.s
	copy sys\$(SYS)\hentrap.s

indirect.lk:	Makefile sys\$(SYS)\objlist
	echo /x /o $(PROG) > $@
	type sys\$(SYS)\objlist >> $@
	echo $(LIBS) >> $@

clean:
	del *.o
	FOR %%F IN ($(OINCS)) DO del %%F
	FOR %%F IN (varargs.h fepctrl.h) DO del %%F
	FOR %%F IN ($(OSRCS)) DO del %%F
	FOR %%F IN ($(HSRCS)) DO del %%F
	del indirect.lk
	del ng.x

=== sys/sysv/Makefile ===
# $Id: Makefile,v 1.2.4.1 2003/02/23 14:17:14 amura Exp $
# Makefile for MicroEMACS.
# Is there a better way to do the rebuilds, other than using
# the links?
#
# $Log: Makefile,v $
# Revision 1.2.4.1  2003/02/23 14:17:14  amura
# move canna.c from sys/default to sys/unix
#
# Revision 1.2  2000/09/30 15:59:42  amura
# add Canna configuration form config.h
#
# Revision 1.1.1.1  2000/06/27 01:47:59  amura
# import to CVS
#
# Modified for Ng 1.0	by Shigeki Yoshida (shige@csk.CO.JP)	1990.01.29

SYS	= sysv

# Canna configurations
#CANNADEF = -DCANNA
#CANNALIB = -L/usr/share/lib -lcanna
#CANNAINC = -I/usr/share/include
CANNADEF =
CANNALIB =
CANNAINC =

# CDEFS gets defines, and gets passed to lint. CFLAGS gets flags, and doesn't
# get passed to lint.
#
# Now, compile time options are defined in a "config.h".
#
CDEFS	= $(CANNADEF)
CFLAGS	= -O $(CDEFS) $(CANNAINC)

# If your machine have an alloca() in a libPW.a, please add -lPW to the LIBS.
#LIBS	= $(CANNALIB) -lcurses -lPW
LIBS	= $(CANNALIB) -lcurses 

# If your machine don't have an alloca(), please define ALLOCA.
#ALLOCA	= alloca.o
ALLOCA	=

CC	= cc

# Objects which only depend on the "standard" includes
OBJS	= basic.o dir.o dired.o shell.o version.o window.o \
	  kinsoku.o jump.o

# Those with unique requirements
IND	= buffer.o complt.o display.o cmode.o echo.o extend.o file.o \
	  help.o kbd.o keymap.o line.o macro.o main.o match.o modes.o \
	  paragraph.o random.o region.o regex.o re_search.o search.o \
	  skg.o kanji.o undo.o word.o

# System dependent objects
OOBJS = cinfo.o spawn.o ttyio.o tty.o ttykbd.o

OBJ = $(OBJS) $(IND) $(OOBJS) fileio.o canna.o $(ALLOCA)

OSRCS	= cinfo.c fileio.c spawn.c ttyio.c tty.c ttykbd.c canna.c alloca.c
SRCS	= basic.c cmode.c dir.c dired.c file.c line.c match.c paragraph.c \
	  random.c region.c search.c shell.c version.c window.c word.c \
	  buffer.c complt.c display.c echo.c extend.c help.c kbd.c \
	  keymap.c macro.c main.c modes.c regex.c re_search.c kanji.c \
	  kinsoku.c skg.c jump.c undo.c

OINCS =	ttydef.h sysdef.h chrdef.h
INCS =	config.h def.h
REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c

#PROG = mg
PROG = ng

$(PROG):	$(OBJ)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

# strip mg once you're satisfied it'll run -- makes it much smaller
strip:
	strip $(PROG)

lint: $(SRCS) $(OSRCS) $(INCS) $(OINCS)
	lint -ahbz $(CDEFS) $(SRCS) $(OSRCS)

$(OBJ):		$(INCS) $(OINCS)

$(OOBJS):	$(INCS) $(OINCS)

buffer.o: 	$(INCS) $(OINCS) kbd.h undo.h

cmode.o file.o line.o paragraph.o random.o region.o undo.o word.o: \
		$(INCS) $(OINCS) undo.h

complt.o:	$(INCS) $(OINCS) kbd.h complt.h

display.o keymap.o modes.o fileio.o: \
		$(INCS) $(OINCS) kbd.h

echo.o:		$(INCS) $(OINCS) key.h macro.h complt.h

extend.o help.o: \
		$(INCS) $(OINCS) kbd.h macro.h key.h

kanji.o:	$(INCS) $(OINCS) kinit.h

kbd.o:		$(INCS) $(OINCS) kbd.h macro.h key.h undo.h

macro.o canna.o: \
		$(INCS) $(OINCS) macro.h key.h

main.o search.o: \
		$(INCS) $(OINCS) macro.h

match.o:	$(INCS) $(OINCS) key.h

re_search.o:	$(INCS) $(OINCS) $(REINCS) macro.h

regex.o:	$(INCS) $(OINCS) $(REINCS)

skg.o: 		$(INCS) $(OINCS) macro.h key.h undo.h

sysdef.h:	sys/$(SYS)/sysdef.h	# Update links, if needed.
	rm -f sysdef.h
	ln sys/$(SYS)/sysdef.h .

ttydef.h:	sys/default/ttydef.h
	rm -f ttydef.h
	ln sys/default/ttydef.h .

chrdef.h:	sys/default/chrdef.h
	rm -f chrdef.h
	ln sys/default/chrdef.h .

fileio.c:	sys/$(SYS)/fileio.c
	rm -f fileio.c
	ln sys/$(SYS)/fileio.c .

spawn.c:	sys/$(SYS)/spawn.c
	rm -f spawn.c
	ln sys/$(SYS)/spawn.c .

tty.c:		sys/default/tty.c
	rm -f tty.c
	ln sys/default/tty.c .

ttyio.c:	sys/$(SYS)/ttyio.c
	rm -f ttyio.c
	ln sys/$(SYS)/ttyio.c .

ttykbd.c:	sys/default/ttykbd.c
	rm -f ttykbd.c
	ln sys/default/ttykbd.c .

cinfo.c:	sys/default/cinfo.c
	rm -f cinfo.c
	ln sys/default/cinfo.c .

canna.c:	sys/unix/canna.c
	rm -f canna.c
	ln sys/unix/canna.c .

alloca.c:	sys/default/alloca.c
	rm -f alloca.c
	ln sys/default/alloca.c .

port: $(SRCS) $(INCS)
	rm -f port
	tar cfb port 1 $?

clean:;	rm -f $(OBJ) $(OSRCS) $(OINCS)

=== debian/changelog ===
ng (1.5~beta1-14) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: Create autopkgtest.

 -- Omar Zagonel El Laden <omarzladen@gmail.com>  Sat, 23 Aug 2025 16:22:31 -0300

ng (1.5~beta1-13) unstable; urgency=medium

  * QA upload.

  [ Kei Hibino ]
  * Support terminals with more than 127 lines.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Feb 2025 19:03:26 +0100

ng (1.5~beta1-12) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-int.  (Closes: #1075315)
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 15:49:35 +0200

ng (1.5~beta1-11) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066688)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Apr 2024 17:24:49 +0200

ng (1.5~beta1-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Simon McVittie ]
  * d/rules: Specify canonical paths of cp, ls, mv, rmdir
    (Closes: #993275)

  [ Vagrant Cascadian ]
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.6.0.
  * Switch to debhelper-compat 13 and dh.
  * debian/rules: Remove boilerplate comments.
  * Use dh_install to install ng binaries and documentation.
  * Remove debian/*.dirs files as they are no longer necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 28 Sep 2021 15:13:46 -0700

ng (1.5~beta1-9) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 4.4.1.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 28 Dec 2019 16:26:23 +0100

ng (1.5~beta1-8) unstable; urgency=medium

  * QA upload.
  * Re-upload as source only to target testing.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Sep 2019 14:34:37 -0300

ng (1.5~beta1-7) unstable; urgency=medium

  * QA upload.
  * undo.c: Fixed a typo.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 20 Aug 2019 18:08:01 -0700

ng (1.5~beta1-6) unstable; urgency=medium

  * QA upload.
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a CC, thanks to Helmut Grohne
    - closes: #934968
  * Add manpage - closes: #850638

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 20 Aug 2019 16:26:19 -0700

ng (1.5~beta1-5) unstable; urgency=medium

  * QA upload.
  * Bumped to Standards-Version: 4.4.0.
  * d/rules: Replaced dh_autotools-dev_* with dh_update_autotools_config.
  * d/p/utf8-support.patch:  Added UTF-8 support.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 14 Aug 2019 17:08:41 -0700

ng (1.5~beta1-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #836476)
  * Switch to debhelper compat level 10.  (Closes: #817593, #822010)
  * Switch to source format 3.0 (quilt).
  * Fix FTBFS with clang, thanks to Nicolas Sévelin-Radiguet.
    (Closes: #760672)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Dec 2016 11:01:12 +0100

ng (1.5~beta1-3.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Logan Rosen ]
  * Use autotools-dev to update config.{sub,guess} for new arches. Closes:
    #565180.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Sep 2014 20:46:44 +0200

ng (1.5~beta1-3) unstable; urgency=low

  * Bumped to Standards-Version: 3.8.0.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 17 Jul 2008 08:10:34 +0900

ng (1.5~beta1-2) unstable; urgency=low

  * debian/rules: Inserted a space before "]".

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 07 Dec 2007 06:02:57 +0900

ng (1.5~beta1-1) unstable; urgency=low

  * New upstream release.
  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 06 Dec 2007 20:54:11 +0900

ng (1.4.4p1-4) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.2.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 13 Oct 2006 22:53:35 +0900

ng (1.4.4p1-3) unstable; urgency=low

  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 18 Feb 2004 01:44:10 +0900

ng (1.4.4p1-2) unstable; urgency=low

  * Added Build-Depends: libncurses-dev - closes: #201457
  * Removed periods from the short description - closes: #201686

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 27 Jul 2003 01:02:09 +0900

ng (1.4.4p1-1) unstable; urgency=low

  * New maintainer - closes: #201371
  * New upstream release - closes: #199496
  * Added several Build-Depends - closes: #190496
  * Applied ng-1.4.4-replace_bug.patch (thus it's p1).
  * Bumped Standards-Version to 3.5.10.
  * Some tweaks in debian/rules.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 16 Jul 2003 00:15:55 +0900

ng (1.4.3.1-2) unstable; urgency=high

  * debian/control: the description of ng-cjk lacks the final newline. FIXED.

 -- Yasuhiro Take <take@debian.org>  Fri, 27 Apr 2001 10:28:42 +0900

ng (1.4.3.1-1) unstable; urgency=low

  * New upstream release

 -- Yasuhiro Take <take@debian.org>  Tue, 20 Feb 2001 23:38:34 +0900

ng (1.4.2.1-1) unstable; urgency=low

  * New upstream release

 -- Yasuhiro Take <take@debian.org>  Thu, 14 Dec 2000 12:48:24 +0900

ng (1.4.1-1) unstable; urgency=low

  * Initial Release.

 -- Yasuhiro Take <take@debian.org>  Mon, 30 Oct 2000 17:30:22 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ng
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcanna1g-dev,
 libncurses-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ng
Vcs-Git: https://salsa.debian.org/debian/ng.git

Package: ng-common
Architecture: all
Depends: ${misc:Depends}
Recommends: ng-latin | ng-cjk | ng-cjk-canna
Conflicts: ng
Replaces: ng
Description: Common files used by ng-* packages
 Ng is Nihongo Mg, MicroGnuEmacs. It is a small lightweight Emacs-like
 editor. It can handle both Latin and CJK.  UTF-8 is now supported.
 .
 This package contains documents and a wrapper script.

Package: ng-latin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ng-common
Description: Nihongo MicroGnuEmacs with Latin support
 Ng is Nihongo Mg, MicroGnuEmacs. It is a small lightweight Emacs-like
 editor. It can handle both Latin and CJK.
 .
 ng-latin can handle Latin (ISO-8859) encoding. CJK is not supported.
 UTF-8 is now supported.

Package: ng-cjk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ng-common
Description: Nihongo MicroGnuEmacs with CJK support
 Ng is Nihongo Mg, MicroGnuEmacs. It is a small lightweight Emacs-like
 editor. It can handle both Latin and CJK.
 .
 ng-cjk can handle ISO-2022-JP, Shift-JIS, EUC-JP as well as EUC-KR and
 EUC-CN(GB only). Latin is not supported. UTF-8 is now supported.

Package: ng-cjk-canna
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ng-common
Description: Nihongo MicroGnuEmacs with CJK and Canna support
 Ng is Nihongo Mg, MicroGnuEmacs. It is a small lightweight Emacs-like
 editor. It can handle both Latin and CJK.
 .
 ng-cjk-canna can handle ISO-2022-JP, Shift-JIS, EUC-JP as well as EUC-KR and
 EUC-CN(GB only). Latin is not supported. UTF-8 is now supported. Canna,
 one of Japanese input methods, is also supported.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/dpkg/buildtools.mk
export CC

DOCDIR = usr/share/doc/ng-common

configure_environment = \
	ac_cv_path_cp_cmd=/bin/cp \
	ac_cv_path_ls_cmd=/bin/ls \
	ac_cv_path_mv_cmd=/bin/mv \
	ac_cv_path_rmdir_cmd=/bin/rmdir \
	$(NULL)

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build-arch:
	-mv -f config.h config.h.orig

	# vanilla ng-latin
	cp -p debian/config-latin.h config.h
	$(configure_environment) ./configure
	$(MAKE)
	mv ng ng-latin
	$(MAKE) confclean

	# ng-cjk
	cp -p debian/config-cjk.h config.h
	$(configure_environment) ./configure
	$(MAKE)
	mv ng ng-cjk
	$(MAKE) confclean

	# ng-cjk-canna
	cp -p debian/config-cjk-canna.h config.h
	$(configure_environment) ./configure --enable-canna
	$(MAKE) CANNADEF="-DCANNA" CANNALIB="-lcanna"
	cp -p ng ng-cjk-canna

	-mv -f config.h.orig config.h

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean
	rm -f ng-latin ng-cjk ng-cjk-canna ng
	dh_auto_clean

override_dh_auto_install:

override_dh_link:
	rm -rf $(CURDIR)/debian/ng-cjk/usr/share/doc/ng-cjk
	rm -rf $(CURDIR)/debian/ng-cjk-canna/usr/share/doc/ng-cjk-canna
	rm -rf $(CURDIR)/debian/ng-latin/usr/share/doc/ng-latin
	dh_link

=== debian/tests/control ===
Test-Command: ng-latin -v | grep -A 1 version
Restrictions: superficial

## ng ipacct-20061223

=== Makefile ===
#
# $Id: Makefile,v 1.2 2004/12/01 11:16:41 romanp Exp $
#

SUBDIR=	ng_ipacct \
	ipacctctl \
	man_ru

.include <bsd.subdir.mk>

=== ipacctctl/Makefile ===
#
# $Id: Makefile,v 1.9 2005/07/31 07:57:41 romanp Exp $
#

BINDIR?=	/usr/local/sbin

PROG=		ipacctctl
.if !exists(/usr/share/mk/bsd.compat.mk)
# Pre NOFOO -> NO_FOO system
NOMAN=		YES
.else
NO_MAN=		YES
.endif

COPTS+=		-g -Wall -Wformat
LDADD+=		-lnetgraph

.include <bsd.prog.mk>

=== man_ru/Makefile ===
PREFIX?=	/usr/local
MANDIR=		${PREFIX}/man/ru.KOI8-R/man
MAN8=		ipacctctl.8

beforeinstall:
	mkdir -p ${MANDIR}8

.include <bsd.prog.mk>

=== ng_ipacct/Makefile ===
# $Id: Makefile,v 1.4 2005/07/31 07:58:18 romanp Exp $

KMOD=		ng_ipacct
SRCS=		ng_ipacct.c opt_netgraph.h

CFLAGS+=	-g -I${.CURDIR}

.include <bsd.kmod.mk>
